package com.steerinfo.baseinfo.meterbasecalibranumrel.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="校秤计量关联表")
public class MeterBaseCalibraNumRel implements IBasePO<String> {
    /**
     * 关联编号(RELATION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="关联编号",required=true)
    private String relationNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=true)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点类型名称",required=true)
    private String spotTypeName;

    /**
     * 校秤有效次数(CALIBRATION_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="校秤有效次数",required=false)
    private Short calibrationNum;

    /**
     * 校秤类型编号(CALIBRATION_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤类型编号",required=true)
    private String calibrationTypeNo;

    /**
     * 校秤类型名称(CALIBRATION_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="校秤类型名称",required=true)
    private String calibrationTypeName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 可通过的重量上限(单位KG)(UP_WEIGHT,DECIMAL,5)
     */
    @ApiModelProperty(value="可通过的重量上限(单位KG)",required=false)
    private Integer upWeight;

    /**
     * 是否允许计量(IS_METER,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许计量",required=false)
    private String isMeter;

    /**
     * 互检策略编号(MUTUAL_STRATEGY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="互检策略编号",required=false)
    private String mutualStrategyNo;

    /**
     * 互检策略名称(MUTUAL_STRATEGY_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="互检策略名称",required=false)
    private String mutualStrategyName;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=false)
    private String validFlag;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 校秤配置编号（YYYYMMDD+4位流水）(CALIBRATION_NUM_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤配置编号（YYYYMMDD+4位流水）",required=false)
    private String calibrationNumNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.relationNo;
    }

    @Override
    public void setId(String relationNo) {
        this.relationNo = relationNo == null ? null : relationNo.trim();
    }

    public String getRelationNo() {
        return relationNo;
    }

    public void setRelationNo(String relationNo) {
        this.relationNo = relationNo == null ? null : relationNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public Short getCalibrationNum() {
        return calibrationNum;
    }

    public void setCalibrationNum(Short calibrationNum) {
        this.calibrationNum = calibrationNum;
    }

    public String getCalibrationTypeNo() {
        return calibrationTypeNo;
    }

    public void setCalibrationTypeNo(String calibrationTypeNo) {
        this.calibrationTypeNo = calibrationTypeNo == null ? null : calibrationTypeNo.trim();
    }

    public String getCalibrationTypeName() {
        return calibrationTypeName;
    }

    public void setCalibrationTypeName(String calibrationTypeName) {
        this.calibrationTypeName = calibrationTypeName == null ? null : calibrationTypeName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUpWeight() {
        return upWeight;
    }

    public void setUpWeight(Integer upWeight) {
        this.upWeight = upWeight;
    }

    public String getIsMeter() {
        return isMeter;
    }

    public void setIsMeter(String isMeter) {
        this.isMeter = isMeter == null ? null : isMeter.trim();
    }

    public String getMutualStrategyNo() {
        return mutualStrategyNo;
    }

    public void setMutualStrategyNo(String mutualStrategyNo) {
        this.mutualStrategyNo = mutualStrategyNo == null ? null : mutualStrategyNo.trim();
    }

    public String getMutualStrategyName() {
        return mutualStrategyName;
    }

    public void setMutualStrategyName(String mutualStrategyName) {
        this.mutualStrategyName = mutualStrategyName == null ? null : mutualStrategyName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCalibrationNumNo() {
        return calibrationNumNo;
    }

    public void setCalibrationNumNo(String calibrationNumNo) {
        this.calibrationNumNo = calibrationNumNo == null ? null : calibrationNumNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", relationNo=").append(relationNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", calibrationNum=").append(calibrationNum);
        sb.append(", calibrationTypeNo=").append(calibrationTypeNo);
        sb.append(", calibrationTypeName=").append(calibrationTypeName);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", upWeight=").append(upWeight);
        sb.append(", isMeter=").append(isMeter);
        sb.append(", mutualStrategyNo=").append(mutualStrategyNo);
        sb.append(", mutualStrategyName=").append(mutualStrategyName);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", calibrationNumNo=").append(calibrationNumNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}